# Source on localhost: ... connected.
# Exporting metadata from gwpkg2
DROP DATABASE IF EXISTS gwpkg2;
CREATE DATABASE gwpkg2;
USE gwpkg2;
# TABLE: gwpkg2.configuracions
CREATE TABLE `configuracions` (
  `idConfiguracio` int(11) NOT NULL AUTO_INCREMENT,
  `nomConfiguracio` varchar(15) DEFAULT NULL,
  `descripcioConfiguracio` varchar(100) DEFAULT NULL,
  `forceInstall` tinyint(1) NOT NULL,
  `quitOnError` tinyint(1) NOT NULL,
  `debug` tinyint(1) NOT NULL,
  `dryrun` tinyint(1) NOT NULL,
  `quiet` tinyint(1) NOT NULL,
  `nonotify` tinyint(1) NOT NULL,
  `notificationDisplayTime` int(11) NOT NULL,
  `noreboot` tinyint(1) NOT NULL,
  `noRunningState` tinyint(1) NOT NULL,
  `caseSensitivity` tinyint(1) NOT NULL,
  `rebootCmd` varchar(100) NOT NULL,
  `noForcedRemove` tinyint(1) NOT NULL,
  `noRemove` tinyint(1) NOT NULL,
  `sendStatus` tinyint(1) NOT NULL,
  `noUpgradeBeforeRemove` tinyint(1) NOT NULL,
  `logAppend` tinyint(1) NOT NULL,
  `logErrors` tinyint(1) NOT NULL,
  `logWarnings` tinyint(1) NOT NULL,
  `logInformation` tinyint(1) NOT NULL,
  `logSuccess` tinyint(1) NOT NULL,
  `logFailure` tinyint(1) NOT NULL,
  `logFilePath` varchar(100) DEFAULT NULL,
  `logFilePattern` varchar(100) DEFAULT NULL,
  `inhabilitada` tinyint(4) NOT NULL,
  PRIMARY KEY (`idConfiguracio`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.paquet
CREATE TABLE `paquet` (
  `idPaquet` int(11) NOT NULL AUTO_INCREMENT,
  `nomPaquet` varchar(15) DEFAULT NULL,
  `descripcioPaquet` varchar(100) DEFAULT NULL,
  `inhabilitat` tinyint(1) DEFAULT NULL,
  `reiniciar` tinyint(1) DEFAULT NULL,
  `revisio` varchar(15) DEFAULT NULL,
  `prioritat` int(11) DEFAULT NULL,
  PRIMARY KEY (`idPaquet`)
) ENGINE=InnoDB AUTO_INCREMENT=104 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.actualitzacio
CREATE TABLE `actualitzacio` (
  `idactualitzacio` int(11) NOT NULL AUTO_INCREMENT,
  `descripcioActualitzacio` varchar(300) DEFAULT NULL,
  `idPaquet` int(11) DEFAULT NULL,
  `nomActualitzacio` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`idactualitzacio`),
  KEY `fk3` (`idPaquet`),
  CONSTRAINT `fk3` FOREIGN KEY (`idPaquet`) REFERENCES `paquet` (`idPaquet`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.comprovacio
CREATE TABLE `comprovacio` (
  `idComprovacio` int(11) NOT NULL AUTO_INCREMENT,
  `descripcioComprovacio` varchar(300) DEFAULT NULL,
  `idPaquet` int(11) DEFAULT NULL,
  `nomComprovacio` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`idComprovacio`),
  KEY `fkComprovacioPaquet` (`idPaquet`),
  KEY `fk1` (`idPaquet`),
  CONSTRAINT `fk1` FOREIGN KEY (`idPaquet`) REFERENCES `paquet` (`idPaquet`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=120 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.desinstalacio
CREATE TABLE `desinstalacio` (
  `idDesinstalacio` int(11) NOT NULL AUTO_INCREMENT,
  `descripcioDesinstalacio` varchar(300) DEFAULT NULL,
  `idPaquet` int(11) DEFAULT NULL,
  `nomDesinstalacio` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`idDesinstalacio`),
  KEY `fk4` (`idPaquet`),
  CONSTRAINT `fk4` FOREIGN KEY (`idPaquet`) REFERENCES `paquet` (`idPaquet`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.instalacio
CREATE TABLE `instalacio` (
  `idInstalacio` int(11) NOT NULL AUTO_INCREMENT,
  `descripcioInstalacio` varchar(300) DEFAULT NULL,
  `idPaquet` int(11) DEFAULT NULL,
  `nomInstalacio` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`idInstalacio`),
  KEY `fk2` (`idPaquet`),
  CONSTRAINT `fk2` FOREIGN KEY (`idPaquet`) REFERENCES `paquet` (`idPaquet`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.perfil
CREATE TABLE `perfil` (
  `idPerfil` int(11) NOT NULL AUTO_INCREMENT,
  `nomPerfil` varchar(45) DEFAULT NULL,
  `descripcioPerfil` varchar(100) DEFAULT NULL,
  `inhabilitat` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`idPerfil`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.dependenciaperfil
CREATE TABLE `dependenciaperfil` (
  `idPerfil` int(11) NOT NULL,
  `idPerfilDepen` int(11) NOT NULL,
  PRIMARY KEY (`idPerfil`,`idPerfilDepen`),
  KEY `fk_perfil_depen` (`idPerfil`),
  KEY `fk_perfil_depen2` (`idPerfilDepen`),
  KEY `fk_perfil_depen_2` (`idPerfilDepen`),
  CONSTRAINT `fk_perfil_depen` FOREIGN KEY (`idPerfil`) REFERENCES `perfil` (`idPerfil`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_perfil_depen_2` FOREIGN KEY (`idPerfilDepen`) REFERENCES `perfil` (`idPerfil`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.paquetperfil
CREATE TABLE `paquetperfil` (
  `idPaquet` int(11) NOT NULL,
  `idPerfil` int(11) NOT NULL,
  PRIMARY KEY (`idPaquet`,`idPerfil`),
  KEY `fkPerfil` (`idPerfil`),
  KEY `fkPaquet` (`idPaquet`),
  KEY `fk_paqperf_paq` (`idPaquet`),
  KEY `fk_paqperf_perf` (`idPerfil`),
  CONSTRAINT `fk_paqperf_paq` FOREIGN KEY (`idPaquet`) REFERENCES `paquet` (`idPaquet`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_paqperf_perf` FOREIGN KEY (`idPerfil`) REFERENCES `perfil` (`idPerfil`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.host
CREATE TABLE `host` (
  `idhost` int(11) NOT NULL AUTO_INCREMENT,
  `nomHost` varchar(45) DEFAULT NULL,
  `descripcioHost` varchar(100) DEFAULT NULL,
  `inhabilitat` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`idhost`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.distribucio
CREATE TABLE `distribucio` (
  `idDistribucio` int(11) NOT NULL AUTO_INCREMENT,
  `nomDistribucio` varchar(45) DEFAULT NULL,
  `desDistribucio` varchar(100) DEFAULT NULL,
  `inhabilitat` tinyint(1) DEFAULT NULL,
  `idConfiguracio` int(11) DEFAULT NULL,
  `generarFitxerConfiguracio` tinyint(1) DEFAULT NULL,
  `nomFitxerConfiguracio` varchar(45) DEFAULT NULL,
  `directoriFitxerConfiguracio` varchar(300) DEFAULT NULL,
  `generarFitxerPaquets` tinyint(1) DEFAULT NULL,
  `nomFitxerPaquets` varchar(45) DEFAULT NULL,
  `directoriFitxerPaquets` varchar(300) DEFAULT NULL,
  `generarFitxerPerfils` tinyint(1) DEFAULT NULL,
  `nomFitxerPerfils` varchar(45) DEFAULT NULL,
  `directoriFitxerPerfils` varchar(300) DEFAULT NULL,
  `generarFitxerHosts` tinyint(1) DEFAULT NULL,
  `nomFitxerHosts` varchar(45) DEFAULT NULL,
  `directoriFitxerHosts` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`idDistribucio`),
  KEY `fh_dis_conf` (`idConfiguracio`),
  KEY `fk_dis_conf` (`idConfiguracio`),
  CONSTRAINT `fk_dis_conf` FOREIGN KEY (`idConfiguracio`) REFERENCES `configuracions` (`idConfiguracio`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=218 DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.hostdistribucio
CREATE TABLE `hostdistribucio` (
  `idHost` int(11) NOT NULL,
  `idDistribucio` int(11) NOT NULL,
  PRIMARY KEY (`idHost`,`idDistribucio`),
  KEY `fk_hostdist_host` (`idHost`),
  KEY `fk_hostdist_dist` (`idDistribucio`),
  CONSTRAINT `fk_hostdist_dist` FOREIGN KEY (`idDistribucio`) REFERENCES `distribucio` (`idDistribucio`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_hostdist_host` FOREIGN KEY (`idHost`) REFERENCES `host` (`idhost`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.perfildistribucio
CREATE TABLE `perfildistribucio` (
  `idPerfil` int(11) NOT NULL,
  `idDistribucio` int(11) NOT NULL,
  PRIMARY KEY (`idPerfil`,`idDistribucio`),
  KEY `fk_perfdis_perf` (`idPerfil`),
  KEY `fk_perfdis_dis` (`idDistribucio`),
  CONSTRAINT `fk_perfdis_dis` FOREIGN KEY (`idDistribucio`) REFERENCES `distribucio` (`idDistribucio`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_perfdis_perf` FOREIGN KEY (`idPerfil`) REFERENCES `perfil` (`idPerfil`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# TABLE: gwpkg2.perfilhost
CREATE TABLE `perfilhost` (
  `idhost` int(11) NOT NULL,
  `idperfil` int(11) NOT NULL,
  PRIMARY KEY (`idhost`,`idperfil`),
  KEY `fkhost` (`idhost`),
  KEY `fkperfil` (`idperfil`),
  KEY `fk_perfhost_host` (`idhost`),
  KEY `fk_perfhost_perf` (`idperfil`),
  CONSTRAINT `fk_perfhost_host` FOREIGN KEY (`idhost`) REFERENCES `host` (`idhost`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_perfhost_perf` FOREIGN KEY (`idperfil`) REFERENCES `perfil` (`idPerfil`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
#...done.
# Source on localhost: ... connected.
USE gwpkg2;
# Exporting data from gwpkg2
# Data for table gwpkg2.configuracions: 
INSERT INTO gwpkg2.configuracions VALUES (71, 'Debug', 'Configuracio per proves amb mxim de missatges', 0, 0, 1, 0, 0, 0, 1024, 0, 0, 1, 'standard2', 0, 0, 1, 0, 1, 1, 1, 1, 1, 1, '%TEMP%', 'wpkg-[HOSTNAME].log', 0);
INSERT INTO gwpkg2.configuracions VALUES (72, 'Producci', 'Configuracio per desplegament de proggramari per equips en producci', 0, 0, 0, 0, 1, 1, 1024, 0, 0, 1, 'standard2', 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, '%TEMP%', 'wpkg-[HOSTNAME].log', 0);
# Data for table gwpkg2.perfil: 
INSERT INTO gwpkg2.perfil VALUES (36, 'PerfilBuit', 'Perfil buit', 0);
INSERT INTO gwpkg2.perfil VALUES (37, 'AcrobatReader94', 'Acrobat Reader 9.4', 0);
INSERT INTO gwpkg2.perfil VALUES (38, 'FlashPlayer10IE', 'Flash Player 10 per IE', 0);
INSERT INTO gwpkg2.perfil VALUES (39, 'DocConverter', 'Doc converter per Office', 0);
INSERT INTO gwpkg2.perfil VALUES (40, 'ccleaner', 'CCleaner piriform', 0);
INSERT INTO gwpkg2.perfil VALUES (41, 'AdobeReader', 'AdobeReader', 0);
INSERT INTO gwpkg2.perfil VALUES (42, 'ProvaDocConv', 'Proves per la installacio de doc converter', 0);
INSERT INTO gwpkg2.perfil VALUES (43, 'Proves', 'Perfil per proves', 0);
INSERT INTO gwpkg2.perfil VALUES (44, 'PrPDFCreator', 'Prova PDFCreator', 0);
INSERT INTO gwpkg2.perfil VALUES (45, 'ProvaIZarc', 'Prova IZarc', 0);
INSERT INTO gwpkg2.perfil VALUES (46, 'IE8', 'InternetExplorer8', 0);
INSERT INTO gwpkg2.perfil VALUES (47, 'EsteVaAntes', '', 0);
INSERT INTO gwpkg2.perfil VALUES (48, 'EscritorioMed', 'Escritorio Medico', 0);
# Data for table gwpkg2.host: 
INSERT INTO gwpkg2.host VALUES (6, 'P0ADM01', 'P0ADM01', 0);
INSERT INTO gwpkg2.host VALUES (7, 'P0ADM02', 'P0ADM02', 0);
INSERT INTO gwpkg2.host VALUES (8, 'P0ADM03', 'P0ADM03', 0);
INSERT INTO gwpkg2.host VALUES (9, 'P0ADM04', 'P0ADM04', 0);
INSERT INTO gwpkg2.host VALUES (10, 'P0ADMCAP01', 'P0ADMCAP01', 0);
INSERT INTO gwpkg2.host VALUES (11, 'P1ADMUCSI', 'P1ADMUCSI', 0);
INSERT INTO gwpkg2.host VALUES (12, 'P1ADMUCSI', 'P1ADMUCSI', 0);
INSERT INTO gwpkg2.host VALUES (13, 'DMP101', 'DMP101', 0);
INSERT INTO gwpkg2.host VALUES (14, 'DMP102', 'DMP102', 0);
INSERT INTO gwpkg2.host VALUES (15, 'DMP103', 'DMP103', 0);
INSERT INTO gwpkg2.host VALUES (16, 'DMP1CAP', 'DMP1CAP', 0);
INSERT INTO gwpkg2.host VALUES (17, 'INFHOS01', 'INFHOS01', 0);
INSERT INTO gwpkg2.host VALUES (18, 'INFHOS02', 'INFHOS02', 0);
INSERT INTO gwpkg2.host VALUES (19, 'INFHOS03', 'INFHOS03', 0);
INSERT INTO gwpkg2.host VALUES (20, 'INFHOSCAP', 'INFHOSCAP', 0);
INSERT INTO gwpkg2.host VALUES (21, 'INFURG02', 'INFURG02', 0);
INSERT INTO gwpkg2.host VALUES (22, 'INFURG03', 'INFURG03', 0);
INSERT INTO gwpkg2.host VALUES (23, 'INFURG04', 'INFURG04', 0);
INSERT INTO gwpkg2.host VALUES (24, 'INFURGSUP', 'INFURG0SUP', 0);
INSERT INTO gwpkg2.host VALUES (25, 'PROVES1', 'PROVES1', 0);
INSERT INTO gwpkg2.host VALUES (26, 'PROVES2', 'PROVES2', 0);
INSERT INTO gwpkg2.host VALUES (27, 'PROVES3', 'PROVES3', 0);
# Data for table gwpkg2.paquet: 
INSERT INTO gwpkg2.paquet VALUES (92, 'IE8', 'Internet Explorer 8', 0, 1, '8', 0);
INSERT INTO gwpkg2.paquet VALUES (93, 'flashplayer_ie', 'Adobe Flash Player 10.1 for IE', 0, 0, '10', 1);
INSERT INTO gwpkg2.paquet VALUES (94, 'adobereader94', 'Adobe Reader 94', 0, 0, '94', 2);
INSERT INTO gwpkg2.paquet VALUES (95, 'acrobatreader5', 'Desinstalar Adobe Reader 5.0', 0, 0, '50', 3);
INSERT INTO gwpkg2.paquet VALUES (96, 'DocxConverter', 'Paquete de compatibilidad para 2007 Office system', 0, 0, '20', 1);
INSERT INTO gwpkg2.paquet VALUES (97, 'ccleaner', 'CCleaner 3.04', 0, 0, '34', 0);
INSERT INTO gwpkg2.paquet VALUES (98, 'pdfcreator', 'PDFCreator 1.1.0', 0, 0, '11', 0);
INSERT INTO gwpkg2.paquet VALUES (99, 'acrobatreader9', 'Adobe Acrobat Reader 9', 0, 0, '91', 2);
INSERT INTO gwpkg2.paquet VALUES (100, 'izarc', 'IZArc 4.1.2', 0, 0, '41', 10);
INSERT INTO gwpkg2.paquet VALUES (101, 'IE8 Desh pers', 'Internet Explorer 8 Deshabilitar personalizacion', 0, 0, '1', 1);
INSERT INTO gwpkg2.paquet VALUES (102, 'IE8', 'Internet Explorer 8', 0, 1, '8', 0);
INSERT INTO gwpkg2.paquet VALUES (103, 'EscritorioMed', 'EscritorioMedico', 0, 0, '94', 3);
# Data for table gwpkg2.distribucio: 
INSERT INTO gwpkg2.distribucio VALUES (214, 'Proves', 'Grup d''equips i programari de proves', 0, 71, 1, 'config.xml', 'C:\gwpkg2\proves', 1, 'packages.xml', 'C:\gwpkg2\proves', 1, 'profiles.xml', 'C:\gwpkg2\proves', 1, 'hosts.xml', 'C:\gwpkg2\proves');
INSERT INTO gwpkg2.distribucio VALUES (215, 'Administracio', 'Grup d''equips administracio', 0, 72, 1, 'config.xml', 'C:\gwpkg2\administracio', 1, 'packages.xml', 'C:\gwpkg2\administracio', 1, 'profiles.xml', 'C:\gwpkg2\administracio', 1, 'hosts.xml', 'C:\gwpkg2\administracio');
INSERT INTO gwpkg2.distribucio VALUES (216, 'Infermeria', 'Grup d''equips infermeria', 0, 72, 1, 'config.xml', 'C:\gwpkg2\Infermeria', 1, 'packages.xml', 'C:\gwpkg2\Infermeria', 1, 'profiles.xml', 'C:\gwpkg2\Infermeria', 1, 'hosts.xml', 'C:\gwpkg2\Infermeria');
INSERT INTO gwpkg2.distribucio VALUES (217, 'Medic', 'Grup d''equips medics', 0, 72, 1, 'config.xml', 'C:\gwpkg2\medic', 1, 'packages.xml', 'C:\gwpkg2\medic', 1, 'profiles.xml', 'C:\gwpkg2\medic', 1, 'hosts.xml', 'C:\gwpkg2\medic');
# Data for table gwpkg2.actualitzacio: 
INSERT INTO gwpkg2.actualitzacio VALUES (2, 'uninstall_flash_player.exe -uninstall', 93, 'uninstall');
INSERT INTO gwpkg2.actualitzacio VALUES (3, 'taskkill /f /im 8iexplore.exe', 93, 'taskkill');
INSERT INTO gwpkg2.actualitzacio VALUES (5, 'install_flash_player_ax.exe /install', 93, 'install');
INSERT INTO gwpkg2.actualitzacio VALUES (8, 'msiexec /qn /x{AC76BA86-7AD7-1034-7B44-A94000000001}', 94, 'upgrade1');
INSERT INTO gwpkg2.actualitzacio VALUES (9, 'msiexec /qn /update "\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AdbeRdrUpd941_all_incr.msp"', 94, 'upgrades2');
INSERT INTO gwpkg2.actualitzacio VALUES (10, 'msiexec /qn /i "\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AdbeRdr940_es_ES.msi" TRANSFORMS="\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AcroRead940.mst}', 94, 'transform');
INSERT INTO gwpkg2.actualitzacio VALUES (12, 'msiexec /qn /x{90120000-0020-0C0A-0000-0000000FF1CE}', 96, 'upgrade');
INSERT INTO gwpkg2.actualitzacio VALUES (14, '\\domhesnt\dfs\Instaladors\Productes\DocX Converter\FileFormatConverters.exe /q', 96, 'upgrade2');
# Data for table gwpkg2.comprovacio: 
INSERT INTO gwpkg2.comprovacio VALUES (106, '%SYSTEMROOT%\system32\Macromed\Flash\Flash10l.ocx', 93, 'versionequalto');
INSERT INTO gwpkg2.comprovacio VALUES (107, 'Adobe Flash Player 10 ActiveX', 93, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (108, 'Adobe Reader %version% - Espaol', 94, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (109, 'Adobe Acrobat 5.0', 95, 'exists');
INSERT INTO gwpkg2.comprovacio VALUES (110, 'Paquete de compatibilidad para 2007 Office system', 96, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (111, 'CCleaner', 97, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (112, '%PROGRAMFILES%\CCleaner\CCleaner.exe', 97, 'exists');
INSERT INTO gwpkg2.comprovacio VALUES (113, '%PROGRAMFILES%\PDFCreator\PDFCreator.exe', 98, 'file');
INSERT INTO gwpkg2.comprovacio VALUES (114, 'C:\Archivos de programa\Adobe\Reader 9.0\Reader\AcroRd32.exe', 99, 'fileexists');
INSERT INTO gwpkg2.comprovacio VALUES (115, 'Adobe Reader 9.1 - Espaol', 99, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (116, 'IZArc 4.1.2', 100, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (117, 'Windows Internet Explorer 8', 101, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (118, 'Windows Internet Explorer 8', 102, 'uninstall');
INSERT INTO gwpkg2.comprovacio VALUES (119, 'C:\Archivos de Programa\EscritorioMedico\ESCRITORIOMEDICO.EXE', 103, 'check');
# Data for table gwpkg2.dependenciaperfil: 
# Data for table gwpkg2.desinstalacio: 
INSERT INTO gwpkg2.desinstalacio VALUES (9, '%COMSPEC% /C if exist "%SYSTEMROOT%\system32\Macromed\Flash\FlashUtil10l_ActiveX.exe" "%SYSTEMROOT%\system32\Macromed\Flash\FlashUtil10l_ActiveX.exe" /uninstall', 93, 'remove');
INSERT INTO gwpkg2.desinstalacio VALUES (10, 'msiexec /qn /x{AC76BA86-7AD7-1034-7B44-A94000000001}', 94, 'remove');
INSERT INTO gwpkg2.desinstalacio VALUES (11, 'msiexec /qn /x{90120000-0020-0C0A-0000-0000000FF1CE}', 96, 'remove');
INSERT INTO gwpkg2.desinstalacio VALUES (13, '"%ProgramFiles%\CCleaner\uninst.exe" /S', 97, 'remove');
INSERT INTO gwpkg2.desinstalacio VALUES (14, '%COMSPEC% /C "C:\Archivos de Programa\PDFCreator\unins000.exe" /VERYSILENT', 98, 'remove');
INSERT INTO gwpkg2.desinstalacio VALUES (15, '%COMSPEC% /C "C:\Archivos de Programa\IZArc\unins000.exe /SILENT /NORESTART', 100, 'remove');
# Data for table gwpkg2.hostdistribucio: 
INSERT INTO gwpkg2.hostdistribucio VALUES (6, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (6, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (7, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (7, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (8, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (8, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (9, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (9, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (10, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (10, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (11, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (11, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (12, 215);
INSERT INTO gwpkg2.hostdistribucio VALUES (12, 216);
INSERT INTO gwpkg2.hostdistribucio VALUES (13, 217);
INSERT INTO gwpkg2.hostdistribucio VALUES (14, 217);
INSERT INTO gwpkg2.hostdistribucio VALUES (15, 217);
INSERT INTO gwpkg2.hostdistribucio VALUES (16, 217);
INSERT INTO gwpkg2.hostdistribucio VALUES (17, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (18, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (19, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (20, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (21, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (22, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (23, 214);
INSERT INTO gwpkg2.hostdistribucio VALUES (24, 214);
# Data for table gwpkg2.instalacio: 
INSERT INTO gwpkg2.instalacio VALUES (5, 'cmd /C del \\domhesnt\dfs\Instaladors\WPKG\logs_ordinadors\%COMPUTERNAME%.xm', 92, 'cmd');
INSERT INTO gwpkg2.instalacio VALUES (6, '\\domhesnt\dfs\Instaladors\Productes\Adobe Flash Player\uninstall_flash_player.exe -uninstall', 93, 'uninstall');
INSERT INTO gwpkg2.instalacio VALUES (8, 'taskkill /f /im iexplore.exe', 93, 'install');
INSERT INTO gwpkg2.instalacio VALUES (10, 'install_flash_player_ax.exe /install', 93, 'install');
INSERT INTO gwpkg2.instalacio VALUES (19, 'msiexec /qn /i "\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AdbeRdr940_es_ES.msi" TRANSFORMS="\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AcroRead940.mst"', 94, 'transform');
INSERT INTO gwpkg2.instalacio VALUES (20, 'msiexec /qn /update "\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AdbeRdrUpd941_all_incr.msp', 94, 'install');
INSERT INTO gwpkg2.instalacio VALUES (22, 'msiexec /qn /x{90120000-0020-0COA-0000-0000000FF1CE}', 96, 'install');
INSERT INTO gwpkg2.instalacio VALUES (23, '\\domhesnt\dfs\Instaladors\Productes\DocX Converter\FileFormatConverters.exe /q', 96, 'install2');
INSERT INTO gwpkg2.instalacio VALUES (25, '%COMSPEC% /C C:\WINDOWS\ISUN040A.EXE -y -a -f"C:\Archivos de programa\Archivos comunes\Adobe\Acrobat 5.0\NT\Uninst.isu"-c"C:\Archivos de programa\Archivos comunes\Adobe\Acrobat 5.0\NT\Uninst.dll"', 95, 'uninstall');
INSERT INTO gwpkg2.instalacio VALUES (26, '\\domhesnt\dfs\Instaladors\Productes\CCleaner\ccsetup304_slim.exe /S /AUTO', 97, 'install');
INSERT INTO gwpkg2.instalacio VALUES (28, '\\domhesnt\dfs\Instaladors\Productes\PDFCreator\PDFCreator-1_1_0_setup.exe /LOADINF="\\domhesnt\dfs\Instaladors\Productes\PDFCreator\PDFCreator-1_1_0.inf" /VERYSILENT /NORESTART /SP-', 98, 'install');
INSERT INTO gwpkg2.instalacio VALUES (30, 'REG ADD "HKLM\SOFTWARE\PDFCreator\Program" /v "UpdateInterval" /t REG_SZ /d "0" /f', 98, 'install2');
INSERT INTO gwpkg2.instalacio VALUES (32, '\\domhesnt\dfs\Instaladors\Productes\Adobe Reader\AdbeRdr910_es_ES.exe /sAll /rs /l" /qb-! EULA_ACCEPT=YES SUPPRESS_APP_LAUNCH=YES AgreeToLicense=Yes ENABLE_CACHE_FILES=No allusers=2"', 99, 'install');
INSERT INTO gwpkg2.instalacio VALUES (33, '\\domhesnt\dfs\Instaladors\Productes\IZarc\IZArc4.1.2.exe /VERYSILENT /NOCANDY /NORESTART /Language="Catalan" /ArcTypes="7z,a,ace,arc,arj,b64,bh,bz2,bza,cab,cpio,deb,enc,gca,gz,gza,ha,ize,lha,lib,lzh,mbf,nim,pak,pk3,rar,rpm,tar,taz,tbz,tgz,tz,uue"', 100, 'install');
INSERT INTO gwpkg2.instalacio VALUES (35, 'REG ADD "HKLM\SOFTWARE\Microsoft\Internet Explorer\Main" /v "DisableFirstRunCustomize" /t REG_DWORD /d "1" /f"', 101, 'install');
INSERT INTO gwpkg2.instalacio VALUES (36, '\\domhesnt\dfs\Instaladors\Productes\IE8\IE8-WindowsXP-x86-ESN.exe /quiet /update-no /norestart', 102, 'install');
INSERT INTO gwpkg2.instalacio VALUES (37, 'Msg * "El PC es reiniciara a continuacio.Disculpi les molesties.Gracies"', 102, 'install2');
INSERT INTO gwpkg2.instalacio VALUES (39, '\\domhesnt\dfs\ponline\SiBaGep\ProductesPropis\EscritorioMedico\ultver\Disk1\EscritorioMedico.exe', 103, 'install');
# Data for table gwpkg2.paquetperfil: 
INSERT INTO gwpkg2.paquetperfil VALUES (103, 36);
INSERT INTO gwpkg2.paquetperfil VALUES (92, 37);
INSERT INTO gwpkg2.paquetperfil VALUES (94, 37);
INSERT INTO gwpkg2.paquetperfil VALUES (95, 37);
INSERT INTO gwpkg2.paquetperfil VALUES (93, 38);
INSERT INTO gwpkg2.paquetperfil VALUES (96, 39);
INSERT INTO gwpkg2.paquetperfil VALUES (97, 40);
INSERT INTO gwpkg2.paquetperfil VALUES (92, 41);
INSERT INTO gwpkg2.paquetperfil VALUES (93, 41);
INSERT INTO gwpkg2.paquetperfil VALUES (94, 41);
INSERT INTO gwpkg2.paquetperfil VALUES (95, 41);
INSERT INTO gwpkg2.paquetperfil VALUES (92, 42);
INSERT INTO gwpkg2.paquetperfil VALUES (93, 42);
INSERT INTO gwpkg2.paquetperfil VALUES (94, 42);
INSERT INTO gwpkg2.paquetperfil VALUES (95, 42);
INSERT INTO gwpkg2.paquetperfil VALUES (96, 42);
INSERT INTO gwpkg2.paquetperfil VALUES (92, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (93, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (94, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (95, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (96, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (97, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (98, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (100, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (101, 43);
INSERT INTO gwpkg2.paquetperfil VALUES (98, 44);
INSERT INTO gwpkg2.paquetperfil VALUES (100, 45);
INSERT INTO gwpkg2.paquetperfil VALUES (101, 46);
INSERT INTO gwpkg2.paquetperfil VALUES (102, 46);
INSERT INTO gwpkg2.paquetperfil VALUES (92, 47);
INSERT INTO gwpkg2.paquetperfil VALUES (93, 47);
INSERT INTO gwpkg2.paquetperfil VALUES (94, 47);
# Data for table gwpkg2.perfildistribucio: 
INSERT INTO gwpkg2.perfildistribucio VALUES (37, 215);
INSERT INTO gwpkg2.perfildistribucio VALUES (37, 216);
INSERT INTO gwpkg2.perfildistribucio VALUES (38, 215);
INSERT INTO gwpkg2.perfildistribucio VALUES (38, 216);
INSERT INTO gwpkg2.perfildistribucio VALUES (39, 215);
INSERT INTO gwpkg2.perfildistribucio VALUES (39, 216);
INSERT INTO gwpkg2.perfildistribucio VALUES (40, 215);
INSERT INTO gwpkg2.perfildistribucio VALUES (40, 216);
INSERT INTO gwpkg2.perfildistribucio VALUES (41, 215);
INSERT INTO gwpkg2.perfildistribucio VALUES (41, 216);
INSERT INTO gwpkg2.perfildistribucio VALUES (42, 214);
INSERT INTO gwpkg2.perfildistribucio VALUES (43, 214);
INSERT INTO gwpkg2.perfildistribucio VALUES (44, 214);
INSERT INTO gwpkg2.perfildistribucio VALUES (45, 214);
INSERT INTO gwpkg2.perfildistribucio VALUES (46, 214);
INSERT INTO gwpkg2.perfildistribucio VALUES (46, 216);
INSERT INTO gwpkg2.perfildistribucio VALUES (46, 217);
INSERT INTO gwpkg2.perfildistribucio VALUES (48, 214);
INSERT INTO gwpkg2.perfildistribucio VALUES (48, 217);
# Data for table gwpkg2.perfilhost: 
INSERT INTO gwpkg2.perfilhost VALUES (6, 36);
INSERT INTO gwpkg2.perfilhost VALUES (6, 38);
INSERT INTO gwpkg2.perfilhost VALUES (6, 39);
INSERT INTO gwpkg2.perfilhost VALUES (6, 40);
INSERT INTO gwpkg2.perfilhost VALUES (6, 44);
INSERT INTO gwpkg2.perfilhost VALUES (7, 36);
INSERT INTO gwpkg2.perfilhost VALUES (7, 38);
INSERT INTO gwpkg2.perfilhost VALUES (7, 39);
INSERT INTO gwpkg2.perfilhost VALUES (7, 40);
INSERT INTO gwpkg2.perfilhost VALUES (7, 44);
INSERT INTO gwpkg2.perfilhost VALUES (8, 36);
INSERT INTO gwpkg2.perfilhost VALUES (8, 38);
INSERT INTO gwpkg2.perfilhost VALUES (8, 39);
INSERT INTO gwpkg2.perfilhost VALUES (8, 40);
INSERT INTO gwpkg2.perfilhost VALUES (8, 44);
INSERT INTO gwpkg2.perfilhost VALUES (9, 36);
INSERT INTO gwpkg2.perfilhost VALUES (9, 38);
INSERT INTO gwpkg2.perfilhost VALUES (9, 39);
INSERT INTO gwpkg2.perfilhost VALUES (9, 40);
INSERT INTO gwpkg2.perfilhost VALUES (9, 44);
INSERT INTO gwpkg2.perfilhost VALUES (10, 36);
INSERT INTO gwpkg2.perfilhost VALUES (10, 38);
INSERT INTO gwpkg2.perfilhost VALUES (10, 39);
INSERT INTO gwpkg2.perfilhost VALUES (10, 40);
INSERT INTO gwpkg2.perfilhost VALUES (10, 44);
INSERT INTO gwpkg2.perfilhost VALUES (11, 36);
INSERT INTO gwpkg2.perfilhost VALUES (11, 38);
INSERT INTO gwpkg2.perfilhost VALUES (11, 39);
INSERT INTO gwpkg2.perfilhost VALUES (11, 40);
INSERT INTO gwpkg2.perfilhost VALUES (11, 44);
INSERT INTO gwpkg2.perfilhost VALUES (12, 36);
INSERT INTO gwpkg2.perfilhost VALUES (12, 38);
INSERT INTO gwpkg2.perfilhost VALUES (12, 39);
INSERT INTO gwpkg2.perfilhost VALUES (12, 40);
INSERT INTO gwpkg2.perfilhost VALUES (12, 44);
INSERT INTO gwpkg2.perfilhost VALUES (13, 38);
INSERT INTO gwpkg2.perfilhost VALUES (13, 39);
INSERT INTO gwpkg2.perfilhost VALUES (13, 40);
INSERT INTO gwpkg2.perfilhost VALUES (13, 46);
INSERT INTO gwpkg2.perfilhost VALUES (13, 48);
INSERT INTO gwpkg2.perfilhost VALUES (14, 38);
INSERT INTO gwpkg2.perfilhost VALUES (14, 39);
INSERT INTO gwpkg2.perfilhost VALUES (14, 40);
INSERT INTO gwpkg2.perfilhost VALUES (14, 46);
INSERT INTO gwpkg2.perfilhost VALUES (14, 48);
INSERT INTO gwpkg2.perfilhost VALUES (15, 38);
INSERT INTO gwpkg2.perfilhost VALUES (15, 39);
INSERT INTO gwpkg2.perfilhost VALUES (15, 40);
INSERT INTO gwpkg2.perfilhost VALUES (15, 46);
INSERT INTO gwpkg2.perfilhost VALUES (15, 48);
INSERT INTO gwpkg2.perfilhost VALUES (16, 38);
INSERT INTO gwpkg2.perfilhost VALUES (16, 39);
INSERT INTO gwpkg2.perfilhost VALUES (16, 40);
INSERT INTO gwpkg2.perfilhost VALUES (16, 46);
INSERT INTO gwpkg2.perfilhost VALUES (16, 48);
INSERT INTO gwpkg2.perfilhost VALUES (17, 40);
INSERT INTO gwpkg2.perfilhost VALUES (17, 46);
INSERT INTO gwpkg2.perfilhost VALUES (17, 48);
INSERT INTO gwpkg2.perfilhost VALUES (18, 40);
INSERT INTO gwpkg2.perfilhost VALUES (18, 46);
INSERT INTO gwpkg2.perfilhost VALUES (18, 48);
INSERT INTO gwpkg2.perfilhost VALUES (19, 40);
INSERT INTO gwpkg2.perfilhost VALUES (19, 46);
INSERT INTO gwpkg2.perfilhost VALUES (19, 48);
INSERT INTO gwpkg2.perfilhost VALUES (20, 40);
INSERT INTO gwpkg2.perfilhost VALUES (20, 46);
INSERT INTO gwpkg2.perfilhost VALUES (20, 48);
INSERT INTO gwpkg2.perfilhost VALUES (21, 40);
INSERT INTO gwpkg2.perfilhost VALUES (21, 48);
INSERT INTO gwpkg2.perfilhost VALUES (22, 40);
INSERT INTO gwpkg2.perfilhost VALUES (22, 48);
INSERT INTO gwpkg2.perfilhost VALUES (23, 40);
INSERT INTO gwpkg2.perfilhost VALUES (23, 48);
INSERT INTO gwpkg2.perfilhost VALUES (24, 40);
INSERT INTO gwpkg2.perfilhost VALUES (24, 48);
INSERT INTO gwpkg2.perfilhost VALUES (25, 42);
INSERT INTO gwpkg2.perfilhost VALUES (25, 43);
INSERT INTO gwpkg2.perfilhost VALUES (25, 44);
INSERT INTO gwpkg2.perfilhost VALUES (25, 45);
INSERT INTO gwpkg2.perfilhost VALUES (25, 46);
INSERT INTO gwpkg2.perfilhost VALUES (25, 48);
INSERT INTO gwpkg2.perfilhost VALUES (26, 42);
INSERT INTO gwpkg2.perfilhost VALUES (26, 43);
INSERT INTO gwpkg2.perfilhost VALUES (26, 44);
INSERT INTO gwpkg2.perfilhost VALUES (26, 45);
INSERT INTO gwpkg2.perfilhost VALUES (26, 46);
INSERT INTO gwpkg2.perfilhost VALUES (26, 48);
INSERT INTO gwpkg2.perfilhost VALUES (27, 42);
INSERT INTO gwpkg2.perfilhost VALUES (27, 43);
INSERT INTO gwpkg2.perfilhost VALUES (27, 44);
INSERT INTO gwpkg2.perfilhost VALUES (27, 45);
INSERT INTO gwpkg2.perfilhost VALUES (27, 46);
INSERT INTO gwpkg2.perfilhost VALUES (27, 48);
#...done.
