package gwpkg;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.ejb.Stateful;
import javax.persistence.JoinColumn;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

/**
 * Classe que representa el model de dades de l'entitat ACTUALITZACI <P>
 * Una instncia d'aquesta entitat es correspon a un comandament per efectuar
 * la actualitzaci amb xit del paquet al que est associada.
 */
@Entity
@Stateful
@Table(name="actualitzacio")
public class Actualitzacio implements Serializable{
	private static final long serialVersionUID = 1L;
	
	
/** Codi identificadoer de la Actualitzacio. s autonumric. */	
@Id
private Integer idActualitzacio=0;

/**bi-directional many-to-one association to Paquet */
@ManyToOne 
@JoinColumn(name="idPaquet")
private Paquet paquet;

/** Nom de la Actualitzacio. Descriptor mnemotcnic d'entre 0 i 15 caracters.*/
private String nomActualitzacio="";
/** Comanament de la Actualitzacio. Comanament a executar.
 * Mxim 100 caracters */ 
private String descripcioActualitzacio="";

/**Constructor buit exigit per l'especificaci JPA2/EJB3
 */
public Actualitzacio(){
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Integer getIdActualitzacio(){
	return idActualitzacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getNomActualitzacio(){
	return nomActualitzacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setNomActualitzacio(String nomActualitzacio){
	this.nomActualitzacio=nomActualitzacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getDescripcioActualitzacio(){
	return descripcioActualitzacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setDescripcioActualitzacio(String descripcioActualitzacio){
	this.descripcioActualitzacio=descripcioActualitzacio;
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Paquet getPaquet() {
	return this.paquet;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setPaquet(Paquet paquet) {
	this.paquet = paquet;
}
/**
 * Seteja l'identificador de l registre a 0.
 * S'usa per inserir nous registres a la base de dades
 */
public void idNouRegistre(){
	idActualitzacio=0;
}
/**
 * Clona el registre actual
 */
public Object clone(){
    Object obj=null;
    try{
        obj=super.clone();
    }catch(CloneNotSupportedException ex){
        System.out.println(" no es pot duplicar");
    }
    return obj;
}

}
