package gwpkg;

import java.io.Serializable;
import javax.ejb.Stateful;
import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;

/** Implementa les operacions de la lgica de negoci pertinents a l'entitat Actualitzacio
 */
@Stateful
public class ActualitzacioServeis implements Serializable{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Entity manager JPA usat per les operacions de persistncia de l'entitat configuraci
	 */
	@PersistenceContext(unitName="gwpkg")
	private EntityManager em;
	
	/**Constructor buit exigit per l'especificaci JPA2/EJB3
	 */
	public ActualitzacioServeis(){
	}
	/**
	 * Crea una instncia de Actualitzacio Buida.
	 * Es necessita per donar d'alta nous registres a la base de dades
	 * @post instncia de Actualitzacio buida
	 * @return instncia de Actualitzacio buida
	 */
	public Actualitzacio actualitzacioBuida(){
		Actualitzacio cv = new Actualitzacio();
		return cv;
	}

	/**
	 * Persisteix una instncia de l'entitat Actualitzacio
	 * @pre	Existeix ActualitzacioActiva
	 * @post  ActualitzacioActiva persistida
	 */	
	public void gravarActualitzacio(Actualitzacio actualitzacioActiva){
		em.merge(actualitzacioActiva);
		}
	
	/**
	 * Elimina una instncia de l'entitat Actualitzacio
	 * @pre	Existeix ActualitzacioActiva
	 * @post  ActualitzacioActiva eliminada
	 */	
	public void esborrarActualitzacio(Actualitzacio actualitzacioActiva){
		em.remove(em.merge(actualitzacioActiva));
		}

	}
