package gwpkg;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.ejb.Stateful;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

/**
 * Classe que representa el model de dades de l'entitat COMPROVACI <P>
 * Una instncia d'aquesta entitat es correspon a un comandament per comprovar
 * que en el equip client es donen les condicions necessries per fer una
 * installaci amb xit del paquet al que est associada.
 */
@Entity
@Stateful
@Table(name="comprovacio")
public class Comprovacio implements Serializable{
	private static final long serialVersionUID = 1L;

/** Codi identificadoer de la Comprovaci. s autonumric. */	
@Id
@GeneratedValue(strategy=GenerationType.IDENTITY)
private Integer idComprovacio;


/**bi-directional many-to-one association to Paquet*/
@ManyToOne 
@JoinColumn(name="idPaquet")
private Paquet paquet;

/** Nom de la Comprovaci. Descriptor mnemotcnic d'entre 0 i 15 caracters.*/ 
private String nomComprovacio="";
/** Comanament de la comprovaci. Comanament a executar.
 * Mxim 100 caracters */ 
private String descripcioComprovacio="";

/**Constructor buit exigit per l'especificaci JPA2/EJB3
 */
public Comprovacio(){
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Integer getIdComprovacio(){
	return idComprovacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setIdComprovacio(Integer idComprovacio){
	this.idComprovacio=idComprovacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getNomComprovacio(){
	return nomComprovacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setNomComprovacio(String nomComprovacio){
	this.nomComprovacio=nomComprovacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getDescripcioComprovacio(){
	return descripcioComprovacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setDescripcioComprovacio(String descripcioComprovacio){
	this.descripcioComprovacio=descripcioComprovacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Paquet getPaquet() {
	return this.paquet;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setPaquet(Paquet paquet) {
	this.paquet = paquet;
}

/**
 * Seteja l'identificador de l registre a 0.
 * S'usa per inserir nous registres a la base de dades
 */
public void idNouRegistre(){
	idComprovacio=0;
}
/**
 * Clona el registre actual
 */
public Object clone(){
    Object obj=null;
    try{
        obj=super.clone();
    }catch(CloneNotSupportedException ex){
        System.out.println(" no es pot duplicar");
    }
    return obj;
}

}
