package gwpkg;

import java.io.Serializable;
import javax.ejb.Stateful;
import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;

/** Implementa les operacions de la lgica de negoci pertinents a l'entitat configuracio
 */
@Stateful
public class ComprovacioServeis implements Serializable{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Entity manager JPA usat per les operacions de persistncia de l'entitat configuraci
	 */
	@PersistenceContext(unitName="gwpkg")
	private EntityManager em;
	
	/**Constructor buit exigit per l'especificaci JPA2/EJB3
	 */
	public ComprovacioServeis(){
	}
	/**
	 * Crea una instncia de Comprovacio Buida.
	 * Es necessita per donar d'alta nous registres a la base de dades
	 * @post instncia de Comprovacio buida
	 * @return instncia de Comprovacio buida
	 */
	public Comprovacio comprovacioBuida(){
		Comprovacio cv = new Comprovacio();
		return cv;
	}

	/**
	 * Persisteix una instncia de l'entitat Comprovacio
	 * @pre	Existeix ComprovacioActiva
	 * @post  ComprovacioActiva persistida
	 */	
	public void gravarComprovacio(Comprovacio comprovacioActiva){
		em.merge(comprovacioActiva);
		}
	
	/**
	 * Elimina una instncia de l'entitat Comprovacio
	 * @pre	Existeix ComprovacioActiva
	 * @post  ComprovacioActiva eliminada
	 */	
	public void esborrarComprovacio(Comprovacio comprovacioActiva){
		em.remove(em.merge(comprovacioActiva));
	}
}
