package gwpkg;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.ejb.Stateful;
import javax.persistence.JoinColumn;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

/**
 * Classe que representa el model de dades de l'entitat DESINSTALACIO <P>
 * Una instncia d'aquesta entitat es correspon a un comandament per efectuar
 * la desinstalaci amb xit del paquet al que est associada.
 */
@Entity
@Stateful
@Table(name="desinstalacio")
public class Desinstalacio implements Serializable{
	private static final long serialVersionUID = 1L;
	
/** Codi identificadoer de la Desinstalacio. s autonumric. */	
@Id
private Integer idDesinstalacio=0;
/**bi-directional many-to-one association to Paquet */
@ManyToOne 
@JoinColumn(name="idPaquet")
private Paquet paquet;

/** Nom de la Desinstalacio. Descriptor mnemotcnic d'entre 0 i 15 caracters.*/
private String nomDesinstalacio="";
/** Comanament de la Desinstalacio. Comanament a executar.
 * Mxim 100 caracters */ 
private String descripcioDesinstalacio="";

/**Constructor buit exigit per l'especificaci JPA2/EJB3
 */
public Desinstalacio(){
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Integer getIdDesinstalacio(){
	return idDesinstalacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getNomDesinstalacio(){
	return nomDesinstalacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setNomDesinstalacio(String nomDesinstalacio){
	this.nomDesinstalacio=nomDesinstalacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getDescripcioDesinstalacio(){
	return descripcioDesinstalacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setDescripcioDesinstalacio(String descripcioDesinstalacio){
	this.descripcioDesinstalacio=descripcioDesinstalacio;
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Paquet getPaquet() {
	return this.paquet;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setPaquet(Paquet paquet) {
	this.paquet = paquet;
}

/**
 * Seteja l'identificador de l registre a 0.
 * S'usa per inserir nous registres a la base de dades
 */
public void idNouRegistre(){
	idDesinstalacio=0;
}

/**
 * Clona el registre actual
 */
public Object clone(){
    Object obj=null;
    try{
        obj=super.clone();
    }catch(CloneNotSupportedException ex){
        System.out.println(" no es pot duplicar");
    }
    return obj;
}



}
