package gwpkg;

import java.io.Serializable;

import javax.ejb.Stateful;
import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;

/** Implementa les operacions de la lgica de negoci pertinents a l'entitat Desinstalacio
 */
@Stateful
public class DesinstalacioServeis implements Serializable{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Entity manager JPA usat per les operacions de persistncia de l'entitat configuraci
	 */
	@PersistenceContext(unitName="gwpkg")
	private EntityManager em;
	
	/**Constructor buit exigit per l'especificaci JPA2/EJB3
	 */
	public DesinstalacioServeis(){
	}
	/**
	 * Crea una instncia de Desinstalacio Buida.
	 * Es necessita per donar d'alta nous registres a la base de dades
	 * @post instncia de Desinstalacio buida
	 * @return instncia de Desinstalacio buida
	 */
	public Desinstalacio desinstalacioBuida(){
		Desinstalacio cv = new Desinstalacio();
		return cv;
	}


	/**
	 * Persisteix una instncia de l'entitat Desinstalacio
	 * @pre	Existeix desinstalacioActiva
	 * @post  desinstalacioActiva persistida
	 */	
	public void gravarDesinstalacio(Desinstalacio desinstalacioActiva){
		em.merge(desinstalacioActiva);
		}
	
	/**
	 * Elimina una instncia de l'entitat Desinstalacio
	 * @pre	Existeix DesinstalacioActiva
	 * @post  DesinstalacioActiva eliminada
	 */	
	public void esborrarDesinstalacio(Desinstalacio desinstalacioActiva){
		em.remove(em.merge(desinstalacioActiva));
		}

	}
