package gwpkg;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.ejb.Stateful;
import javax.persistence.JoinColumn;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

/**
 * Classe que representa el model de dades de l'entitat INSTALACI <P>
 * Una instncia d'aquesta entitat es correspon a un comandament per efectuar
 * la instalaci amb xit del paquet al que est associada.
 */
@Entity
@Stateful
@Table(name="instalacio")
public class Instalacio implements Serializable{
	private static final long serialVersionUID = 1L;
	
/** Codi identificador de la Instalacio. s autonumric. */	
@Id
private Integer idInstalacio=0;
/**bi-directional many-to-one association to Paquet */
@ManyToOne 
@JoinColumn(name="idPaquet")
private Paquet paquet;

/** Nom de la Instalacio. Descriptor mnemotcnic d'entre 0 i 15 caracters.*/
private String nomInstalacio="";
/** Comanament de la Instalacio. Comanament a executar.
 * Mxim 100 caracters */ 
private String descripcioInstalacio="";

/**Constructor buit exigit per l'especificaci JPA2/EJB3
 */
public Instalacio(){
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Integer getIdInstalacio(){
	return idInstalacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getNomInstalacio(){
	return nomInstalacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setNomInstalacio(String nomInstalacio){
	this.nomInstalacio=nomInstalacio;
}
/**Geter exigit per l'especificaci JPA2/EJB3
 */
public String getDescripcioInstalacio(){
	return descripcioInstalacio;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setDescripcioInstalacio(String descripcioInstalacio){
	this.descripcioInstalacio=descripcioInstalacio;
}

/**Geter exigit per l'especificaci JPA2/EJB3
 */
public Paquet getPaquet() {
	return this.paquet;
}
/**Seter exigit per l'especificaci JPA2/EJB3
 */
public void setPaquet(Paquet paquet) {
	this.paquet = paquet;
}
/**
 * Seteja l'identificador de l registre a 0.
 * S'usa per inserir nous registres a la base de dades
 */
public void idNouRegistre(){
	idInstalacio=0;
}
/**
 * Clona el registre actual
 */
public Object clone(){
    Object obj=null;
    try{
        obj=super.clone();
    }catch(CloneNotSupportedException ex){
        System.out.println(" no es pot duplicar");
    }
    return obj;
}



}
