package gwpkg;

import java.io.Serializable;
import javax.ejb.Stateful;
import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;

/** Implementa les operacions de la lgica de negoci pertinents a l'entitat Instalacio
 */
@Stateful
public class InstalacioServeis implements Serializable{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Entity manager JPA usat per les operacions de persistncia de l'entitat configuraci
	 */
	@PersistenceContext(unitName="gwpkg")
	private EntityManager em;
	
	/**Constructor buit exigit per l'especificaci JPA2/EJB3
	 */
	public InstalacioServeis(){
	}
	
	/**
	 * Crea una instncia de Instalaci Buida.
	 * Es necessita per donar d'alta nous registres a la base de dades
	 * @post instncia de Instalaci buida
	 * @return instncia de Instalaci buida
	 */
	public Instalacio instalacioBuida(){
		Instalacio cv = new Instalacio();
		return cv;
	}
	 /**
	 * Persisteix una instncia de l'entitat Instalaci
	 * @pre	Existeix instalaciActiva
	 * @post  instalaciActiva persistida
	 */	
	 public void gravarInstalacio(Instalacio instalacioActiva){
		em.merge(instalacioActiva);
		}
	
		/**
		 * Elimina una instncia de l'entitat Instalaci
		 * @pre	Existeix instalaciActiva
		 * @post  InstalacioActiva eliminada
		 */	
	 public void esborrarInstalacio(Instalacio instalacioActiva){
		em.remove(em.merge(instalacioActiva));
		}

	}
